"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tokens = require("../tokens");

var typography = {
  body01: {
    desktop: {
      fontSize: _tokens.fontSize.xs,
      lineHeight: _tokens.lineHeight.md,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  body01Bold: {
    desktop: {
      fontSize: _tokens.fontSize.xs,
      lineHeight: _tokens.lineHeight.md,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.bold
    }
  },
  body02: {
    desktop: {
      fontSize: _tokens.fontSize.xxs,
      lineHeight: _tokens.lineHeight.sm,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  display01: {
    desktop: {
      fontSize: _tokens.fontSize.xxxl,
      lineHeight: _tokens.lineHeight.xxxl,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    },
    mobile: {
      fontSize: _tokens.fontSize.xl,
      lineHeight: _tokens.lineHeight.xl,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  display02: {
    desktop: {
      fontSize: _tokens.fontSize.xxl,
      lineHeight: _tokens.lineHeight.xxl,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    },
    mobile: {
      fontSize: _tokens.fontSize.lg,
      lineHeight: _tokens.lineHeight.lg,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  display03: {
    desktop: {
      fontSize: _tokens.fontSize.lg,
      lineHeight: _tokens.lineHeight.lg,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    },
    mobile: {
      fontSize: _tokens.fontSize.md,
      lineHeight: _tokens.lineHeight.md,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  display04: {
    desktop: {
      fontSize: _tokens.fontSize.md,
      lineHeight: _tokens.lineHeight.md,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    },
    mobile: {
      fontSize: _tokens.fontSize.sm,
      lineHeight: _tokens.lineHeight.md,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  label01: {
    desktop: {
      fontSize: _tokens.fontSize.xs,
      lineHeight: _tokens.lineHeight.xs,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  label02: {
    desktop: {
      fontSize: _tokens.fontSize.xxs,
      lineHeight: _tokens.lineHeight.xs,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  label03: {
    desktop: {
      fontSize: _tokens.fontSize.xxxs,
      lineHeight: _tokens.lineHeight.xxs,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  overline: {
    desktop: {
      fontSize: _tokens.fontSize.xs,
      lineHeight: _tokens.lineHeight.sm,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.bold
    },
    mobile: {
      fontSize: _tokens.fontSize.xxxs,
      lineHeight: _tokens.lineHeight.xs,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  subtitle01: {
    desktop: {
      fontSize: _tokens.fontSize.xxxs,
      lineHeight: _tokens.lineHeight.xs,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  subtitle02: {
    desktop: {
      fontSize: _tokens.fontSize.xxxxs,
      lineHeight: _tokens.lineHeight.xxs,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.normal
    }
  },
  button01: {
    desktop: {
      fontSize: _tokens.fontSize.xxxs,
      lineHeight: _tokens.lineHeight.xs,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.medium
    }
  },
  button02: {
    desktop: {
      fontSize: _tokens.fontSize.xxs,
      lineHeight: _tokens.lineHeight.xs,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.medium
    }
  },
  button03: {
    desktop: {
      fontSize: _tokens.fontSize.sm,
      lineHeight: _tokens.lineHeight.md,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.medium
    }
  },
  button04: {
    desktop: {
      fontSize: _tokens.fontSize.lg,
      lineHeight: _tokens.lineHeight.md,
      letterSpacing: _tokens.letterSpacing.none,
      fontWeight: _tokens.fontWeight.medium
    }
  }
};
var _default = typography;
exports.default = _default;